
//`#start header` -- edit after this line, do not edit this line
// ========================================
//
// Copyright YOUR COMPANY, THE YEAR
// All Rights Reserved
// UNPUBLISHED, LICENSED SOFTWARE.
//
// CONFIDENTIAL AND PROPRIETARY INFORMATION
// WHICH IS THE PROPERTY OF your company.
//
// ========================================
`include "cypress.v"
//`#end` -- edit above this line, do not edit this line
// Generated on 05/01/2017 at 16:16
// Component: PowerBusController_v1_0
module PowerBusController_v1_0 (
	output [2:0] current_state,
	output  n_pwm_a,
	output  n_pwm_b,
	output  out_drq,
	output  shcp,
	output  stcp,
	input   clock,
	input   n_reset,
	input   out_nrq,
	input   trigger
);

//`#start body` -- edit after this line, do not edit this line

localparam STATE_SEQUENCER_IDLE                  = 2'b00;
localparam STATE_SEQUENCER_AWAIT_NRQ             = 2'b01;
localparam STATE_SEQUENCER_GENERATE_STROBES      = 2'b10;
localparam STATE_SEQUENCER_AWAIT_TRIGGER_RELEASE = 2'b11;

wire [6:0] pwm_sequencer_count;
wire ce0;
wire cl0;
wire ce1;
wire cl1;
wire z1;

reg [1:0] state_sequencer;  // The current sequencer state
reg state_pwm_selector;    // The PWM section selector
//reg trigerred;

initial
begin
    state_sequencer <= STATE_SEQUENCER_IDLE;
    state_pwm_selector <= 0;
end

assign current_state = { state_pwm_selector, state_sequencer };
assign out_drq = !n_reset && (state_sequencer == STATE_SEQUENCER_IDLE);
assign shcp = cl0;
assign stcp = cl0;


// ==================== PWM generator: ====================

wire [2:0] pwm_sequencer_lut_index;
assign pwm_sequencer_lut_index = pwm_sequencer_count[6:4];

assign { n_pwm_a, n_pwm_b } = (

    (pwm_sequencer_lut_index == 3'b111) ? 2'b11 :
    (pwm_sequencer_lut_index == 3'b110) ? 2'b01 :
    (pwm_sequencer_lut_index == 3'b101) ? 2'b01 :
    (pwm_sequencer_lut_index == 3'b100) ? 2'b01 :
    (pwm_sequencer_lut_index == 3'b011) ? 2'b11 :
    (pwm_sequencer_lut_index == 3'b010) ? 2'b10 :
    (pwm_sequencer_lut_index == 3'b001) ? 2'b10 :
                                          2'b01
);


// ==================== DMA State Machine: ====================

always @ (posedge clock /*iff n_reset*/) begin

    state_pwm_selector <= !state_pwm_selector;
    
    if (!n_reset) begin
    
        // Synchronous reset of the module
        
        state_sequencer <= STATE_SEQUENCER_IDLE;
        
    end else begin
    
        // Normal operation
        
        case(state_sequencer)
        
            STATE_SEQUENCER_IDLE: begin
            
                @(posedge trigger) begin
                    state_sequencer <= STATE_SEQUENCER_AWAIT_NRQ;
                end
            end
            
            STATE_SEQUENCER_AWAIT_NRQ: begin
                
                if (out_nrq) begin
                    state_sequencer <= STATE_SEQUENCER_GENERATE_STROBES;                        
                end               
            end
            
            STATE_SEQUENCER_GENERATE_STROBES: begin
            
                if (z1) begin
                    state_sequencer <= STATE_SEQUENCER_IDLE;                    
                end
            end
            
        endcase                    
    
    end    
end

/*
always @ (posedge clock)
begin

    state_pwm_selector <= !state_pwm_selector;
    
    if (posedge trigger)
    begin
    end
    
    
    if (!n_reset)
    begin
        state_sequencer <= STATE_SEQUENCER_IDLE;
        trigerred <= 0;
    end
    else
    begin
        case(state_sequencer)
        
            STATE_SEQUENCER_IDLE:
            begin
                if (trigger && !trigerred)
                begin
                    state_sequencer <= STATE_SEQUENCER_AWAIT_NRQ;
                    trigerred <= 1;
                end
            end
            
            STATE_SEQUENCER_AWAIT_NRQ:
            begin
                if (out_nrq)
                begin
                    state_sequencer <= STATE_SEQUENCER_GENERATE_STROBES;
                end
            end
            
            STATE_SEQUENCER_GENERATE_STROBES:
            begin
                if (z1)
                begin
                    state_sequencer <= STATE_SEQUENCER_AWAIT_TRIGGER_RELEASE;
                end
                else
                begin
                
                end
            
                state_sequencer <= STATE_SEQUENCER_IDLE;
            end
            
            STATE_SEQUENCER_AWAIT_TRIGGER_RELEASE:
            begin
                
            end
        default:
        begin
            state_sequencer <= STATE_SEQUENCER_IDLE;
        end
        
        endcase
    end
end
*/
cy_psoc3_dp8 #(.a0_init_a(8'b000_100_00), .d0_init_a(8'b000_100_00), 
.cy_dpconfig_a(
{
    `CS_ALU_OP_PASS, `CS_SRCA_A0, `CS_SRCB_D0,
    `CS_SHFT_OP_PASS, `CS_A0_SRC_NONE, `CS_A1_SRC_NONE,
    `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA,
    `CS_CMP_SEL_CFGA, /*CFGRAM0:     */
    `CS_ALU_OP_PASS, `CS_SRCA_A0, `CS_SRCB_D0,
    `CS_SHFT_OP_PASS, `CS_A0_SRC_NONE, `CS_A1_SRC_NONE,
    `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA,
    `CS_CMP_SEL_CFGA, /*CFGRAM1:     */
    `CS_ALU_OP_PASS, `CS_SRCA_A0, `CS_SRCB_D0,
    `CS_SHFT_OP_PASS, `CS_A0_SRC_NONE, `CS_A1_SRC_NONE,
    `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA,
    `CS_CMP_SEL_CFGA, /*CFGRAM2:     */
    `CS_ALU_OP_PASS, `CS_SRCA_A0, `CS_SRCB_D0,
    `CS_SHFT_OP_PASS, `CS_A0_SRC_NONE, `CS_A1_SRC_NONE,
    `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA,
    `CS_CMP_SEL_CFGA, /*CFGRAM3:     */
    `CS_ALU_OP__INC, `CS_SRCA_A0, `CS_SRCB_D0,
    `CS_SHFT_OP_PASS, `CS_A0_SRC__ALU, `CS_A1_SRC_NONE,
    `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA,
    `CS_CMP_SEL_CFGA, /*CFGRAM4:    PWM generator*/
    `CS_ALU_OP__INC, `CS_SRCA_A0, `CS_SRCB_D0,
    `CS_SHFT_OP_PASS, `CS_A0_SRC__ALU, `CS_A1_SRC_NONE,
    `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA,
    `CS_CMP_SEL_CFGA, /*CFGRAM5:    PWM generator*/
    `CS_ALU_OP__INC, `CS_SRCA_A0, `CS_SRCB_D0,
    `CS_SHFT_OP_PASS, `CS_A0_SRC__ALU, `CS_A1_SRC_NONE,
    `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA,
    `CS_CMP_SEL_CFGA, /*CFGRAM6:    PWM generator*/
    `CS_ALU_OP__INC, `CS_SRCA_A0, `CS_SRCB_D0,
    `CS_SHFT_OP_PASS, `CS_A0_SRC__ALU, `CS_A1_SRC_NONE,
    `CS_FEEDBACK_DSBL, `CS_CI_SEL_CFGA, `CS_SI_SEL_CFGA,
    `CS_CMP_SEL_CFGA, /*CFGRAM7:    PWM generator*/
    8'hFF, 8'hFF,  /*CFG9:    */
    8'hFF, 8'h18,  /*CFG11-10:    */
    `SC_CMPB_A1_D1, `SC_CMPA_A0_D1, `SC_CI_B_ARITH,
    `SC_CI_A_ARITH, `SC_C1_MASK_ENBL, `SC_C0_MASK_ENBL,
    `SC_A_MASK_DSBL, `SC_DEF_SI_0, `SC_SI_B_DEFSI,
    `SC_SI_A_DEFSI, /*CFG13-12:     */
    `SC_A0_SRC_ACC, `SC_SHIFT_SL, 1'h0,
    1'h0, `SC_FIFO1_BUS, `SC_FIFO0_BUS,
    `SC_MSB_DSBL, `SC_MSB_BIT0, `SC_MSB_NOCHN,
    `SC_FB_NOCHN, `SC_CMP1_NOCHN,
    `SC_CMP0_NOCHN, /*CFG15-14:     */
    10'h00, `SC_FIFO_CLK__DP,`SC_FIFO_CAP_AX,
    `SC_FIFO_LEVEL,`SC_FIFO__SYNC,`SC_EXTCRC_DSBL,
    `SC_WRK16CAT_DSBL /*CFG17-16:     */
}
)) datapath(
        /*  input                   */  .reset(1'b0),
        /*  input                   */  .clk(clock),
        /*  input   [02:00]         */  .cs_addr({ state_pwm_selector, state_sequencer }),
        /*  input                   */  .route_si(1'b0),
        /*  input                   */  .route_ci(1'b0),
        /*  input                   */  .f0_load(1'b0),
        /*  input                   */  .f1_load(1'b0),
        /*  input                   */  .d0_load(1'b0),
        /*  input                   */  .d1_load(1'b0),
        /*  output                  */  .ce0(ce0),
        /*  output                  */  .cl0(cl0),
        /*  output                  */  .z0(),
        /*  output                  */  .ff0(),
        /*  output                  */  .ce1(ce1),
        /*  output                  */  .cl1(cl1),
        /*  output                  */  .z1(z1),
        /*  output                  */  .ff1(),
        /*  output                  */  .ov_msb(),
        /*  output                  */  .co_msb(),
        /*  output                  */  .cmsb(),
        /*  output                  */  .so(),
        /*  output                  */  .f0_bus_stat(),
        /*  output                  */  .f0_blk_stat(),
        /*  output                  */  .f1_bus_stat(),
        /*  output                  */  .f1_blk_stat()
);

cy_psoc3_count7 #(.cy_period(127)) pwm_sequencer
(
        /*  input                   */  .clock(clock),
        /*  input                   */  .reset(1'b0),
        /*  input                   */  .load(1'b0),
        /*  input                   */  .enable(1'b1),
        /*  output  [06:00]         */  .count(pwm_sequencer_count),
        /*  output                  */  .tc()
);

//`#end` -- edit above this line, do not edit this line
endmodule
//`#start footer` -- edit after this line, do not edit this line
//`#end` -- edit above this line, do not edit this line





