/*******************************************************************************
* File Name: Count7_Power_Sequencer.h
* Version 1.0
*
* Description:
*  This header file contains registers and constants associated with the
*  Count7 component.
*
* Note:
*
********************************************************************************
* Copyright 2013, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_COUNT7_Count7_Power_Sequencer_H)
#define CY_COUNT7_Count7_Power_Sequencer_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
* Function Prototypes
***************************************/
void  Count7_Power_Sequencer_Init(void) ;
void  Count7_Power_Sequencer_Enable(void) ;
void  Count7_Power_Sequencer_Start(void) ;
void  Count7_Power_Sequencer_Stop(void) ;
void  Count7_Power_Sequencer_WriteCounter(uint8 count) ;
uint8 Count7_Power_Sequencer_ReadCounter(void) ;
void  Count7_Power_Sequencer_WritePeriod(uint8 period) ;
uint8 Count7_Power_Sequencer_ReadPeriod(void) ;
void  Count7_Power_Sequencer_SaveConfig(void) ;
void  Count7_Power_Sequencer_RestoreConfig(void) ;
void  Count7_Power_Sequencer_Sleep(void) ;
void  Count7_Power_Sequencer_Wakeup(void) ;


/***************************************
*     Data Struct Definitions
***************************************/
/* Structure to save registers before go to sleep */
typedef struct
{
    uint8 enableState;
    uint8 count;
} Count7_Power_Sequencer_BACKUP_STRUCT;


/***************************************
*           Global Variables
***************************************/
extern Count7_Power_Sequencer_BACKUP_STRUCT Count7_Power_Sequencer_backup;
extern uint8 Count7_Power_Sequencer_initVar;


/***************************************
* Initial Parameter
***************************************/
#define Count7_Power_Sequencer_INITIAL_PERIOD               (127u)


/***************************************
* Registers
***************************************/
#define Count7_Power_Sequencer_COUNT_REG                    (*(reg8 *) Count7_Power_Sequencer_Counter7__COUNT_REG)
#define Count7_Power_Sequencer_COUNT_PTR                    ( (reg8 *) Count7_Power_Sequencer_Counter7__COUNT_REG)
#define Count7_Power_Sequencer_PERIOD_REG                   (*(reg8 *) Count7_Power_Sequencer_Counter7__PERIOD_REG)
#define Count7_Power_Sequencer_PERIOD_PTR                   ( (reg8 *) Count7_Power_Sequencer_Counter7__PERIOD_REG)
#define Count7_Power_Sequencer_AUX_CONTROL_REG              (*(reg8 *) Count7_Power_Sequencer_Counter7__CONTROL_AUX_CTL_REG)
#define Count7_Power_Sequencer_AUX_CONTROL_PTR              ( (reg8 *) Count7_Power_Sequencer_Counter7__CONTROL_AUX_CTL_REG)


/***************************************
* Register Constants
***************************************/
#define Count7_Power_Sequencer_COUNTER_START                (0x20u)

/* This constant is used to mask the TC bit (bit#7) in the Count register */
#define Count7_Power_Sequencer_COUNT_7BIT_MASK              (0x7Fu)


#endif /* CY_COUNT7_Count7_Power_Sequencer_H */


/* [] END OF FILE */
