/*******************************************************************************
* File Name: Monitoring_REF.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Monitoring_REF_H) /* Pins Monitoring_REF_H */
#define CY_PINS_Monitoring_REF_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Monitoring_REF_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Monitoring_REF__PORT == 15 && ((Monitoring_REF__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Monitoring_REF_Write(uint8 value);
void    Monitoring_REF_SetDriveMode(uint8 mode);
uint8   Monitoring_REF_ReadDataReg(void);
uint8   Monitoring_REF_Read(void);
void    Monitoring_REF_SetInterruptMode(uint16 position, uint16 mode);
uint8   Monitoring_REF_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Monitoring_REF_SetDriveMode() function.
     *  @{
     */
        #define Monitoring_REF_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Monitoring_REF_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Monitoring_REF_DM_RES_UP          PIN_DM_RES_UP
        #define Monitoring_REF_DM_RES_DWN         PIN_DM_RES_DWN
        #define Monitoring_REF_DM_OD_LO           PIN_DM_OD_LO
        #define Monitoring_REF_DM_OD_HI           PIN_DM_OD_HI
        #define Monitoring_REF_DM_STRONG          PIN_DM_STRONG
        #define Monitoring_REF_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Monitoring_REF_MASK               Monitoring_REF__MASK
#define Monitoring_REF_SHIFT              Monitoring_REF__SHIFT
#define Monitoring_REF_WIDTH              1u

/* Interrupt constants */
#if defined(Monitoring_REF__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Monitoring_REF_SetInterruptMode() function.
     *  @{
     */
        #define Monitoring_REF_INTR_NONE      (uint16)(0x0000u)
        #define Monitoring_REF_INTR_RISING    (uint16)(0x0001u)
        #define Monitoring_REF_INTR_FALLING   (uint16)(0x0002u)
        #define Monitoring_REF_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Monitoring_REF_INTR_MASK      (0x01u) 
#endif /* (Monitoring_REF__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Monitoring_REF_PS                     (* (reg8 *) Monitoring_REF__PS)
/* Data Register */
#define Monitoring_REF_DR                     (* (reg8 *) Monitoring_REF__DR)
/* Port Number */
#define Monitoring_REF_PRT_NUM                (* (reg8 *) Monitoring_REF__PRT) 
/* Connect to Analog Globals */                                                  
#define Monitoring_REF_AG                     (* (reg8 *) Monitoring_REF__AG)                       
/* Analog MUX bux enable */
#define Monitoring_REF_AMUX                   (* (reg8 *) Monitoring_REF__AMUX) 
/* Bidirectional Enable */                                                        
#define Monitoring_REF_BIE                    (* (reg8 *) Monitoring_REF__BIE)
/* Bit-mask for Aliased Register Access */
#define Monitoring_REF_BIT_MASK               (* (reg8 *) Monitoring_REF__BIT_MASK)
/* Bypass Enable */
#define Monitoring_REF_BYP                    (* (reg8 *) Monitoring_REF__BYP)
/* Port wide control signals */                                                   
#define Monitoring_REF_CTL                    (* (reg8 *) Monitoring_REF__CTL)
/* Drive Modes */
#define Monitoring_REF_DM0                    (* (reg8 *) Monitoring_REF__DM0) 
#define Monitoring_REF_DM1                    (* (reg8 *) Monitoring_REF__DM1)
#define Monitoring_REF_DM2                    (* (reg8 *) Monitoring_REF__DM2) 
/* Input Buffer Disable Override */
#define Monitoring_REF_INP_DIS                (* (reg8 *) Monitoring_REF__INP_DIS)
/* LCD Common or Segment Drive */
#define Monitoring_REF_LCD_COM_SEG            (* (reg8 *) Monitoring_REF__LCD_COM_SEG)
/* Enable Segment LCD */
#define Monitoring_REF_LCD_EN                 (* (reg8 *) Monitoring_REF__LCD_EN)
/* Slew Rate Control */
#define Monitoring_REF_SLW                    (* (reg8 *) Monitoring_REF__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Monitoring_REF_PRTDSI__CAPS_SEL       (* (reg8 *) Monitoring_REF__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Monitoring_REF_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Monitoring_REF__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Monitoring_REF_PRTDSI__OE_SEL0        (* (reg8 *) Monitoring_REF__PRTDSI__OE_SEL0) 
#define Monitoring_REF_PRTDSI__OE_SEL1        (* (reg8 *) Monitoring_REF__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Monitoring_REF_PRTDSI__OUT_SEL0       (* (reg8 *) Monitoring_REF__PRTDSI__OUT_SEL0) 
#define Monitoring_REF_PRTDSI__OUT_SEL1       (* (reg8 *) Monitoring_REF__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Monitoring_REF_PRTDSI__SYNC_OUT       (* (reg8 *) Monitoring_REF__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Monitoring_REF__SIO_CFG)
    #define Monitoring_REF_SIO_HYST_EN        (* (reg8 *) Monitoring_REF__SIO_HYST_EN)
    #define Monitoring_REF_SIO_REG_HIFREQ     (* (reg8 *) Monitoring_REF__SIO_REG_HIFREQ)
    #define Monitoring_REF_SIO_CFG            (* (reg8 *) Monitoring_REF__SIO_CFG)
    #define Monitoring_REF_SIO_DIFF           (* (reg8 *) Monitoring_REF__SIO_DIFF)
#endif /* (Monitoring_REF__SIO_CFG) */

/* Interrupt Registers */
#if defined(Monitoring_REF__INTSTAT)
    #define Monitoring_REF_INTSTAT            (* (reg8 *) Monitoring_REF__INTSTAT)
    #define Monitoring_REF_SNAP               (* (reg8 *) Monitoring_REF__SNAP)
    
	#define Monitoring_REF_0_INTTYPE_REG 		(* (reg8 *) Monitoring_REF__0__INTTYPE)
#endif /* (Monitoring_REF__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Monitoring_REF_H */


/* [] END OF FILE */
