/*******************************************************************************
* File Name: Power_Data.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Power_Data_ALIASES_H) /* Pins Power_Data_ALIASES_H */
#define CY_PINS_Power_Data_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define Power_Data_0			(Power_Data__0__PC)
#define Power_Data_0_INTR	((uint16)((uint16)0x0001u << Power_Data__0__SHIFT))

#define Power_Data_1			(Power_Data__1__PC)
#define Power_Data_1_INTR	((uint16)((uint16)0x0001u << Power_Data__1__SHIFT))

#define Power_Data_2			(Power_Data__2__PC)
#define Power_Data_2_INTR	((uint16)((uint16)0x0001u << Power_Data__2__SHIFT))

#define Power_Data_3			(Power_Data__3__PC)
#define Power_Data_3_INTR	((uint16)((uint16)0x0001u << Power_Data__3__SHIFT))

#define Power_Data_4			(Power_Data__4__PC)
#define Power_Data_4_INTR	((uint16)((uint16)0x0001u << Power_Data__4__SHIFT))

#define Power_Data_5			(Power_Data__5__PC)
#define Power_Data_5_INTR	((uint16)((uint16)0x0001u << Power_Data__5__SHIFT))

#define Power_Data_6			(Power_Data__6__PC)
#define Power_Data_6_INTR	((uint16)((uint16)0x0001u << Power_Data__6__SHIFT))

#define Power_Data_7			(Power_Data__7__PC)
#define Power_Data_7_INTR	((uint16)((uint16)0x0001u << Power_Data__7__SHIFT))

#define Power_Data_INTR_ALL	 ((uint16)(Power_Data_0_INTR| Power_Data_1_INTR| Power_Data_2_INTR| Power_Data_3_INTR| Power_Data_4_INTR| Power_Data_5_INTR| Power_Data_6_INTR| Power_Data_7_INTR))

#endif /* End Pins Power_Data_ALIASES_H */


/* [] END OF FILE */
