/*******************************************************************************
* File Name: Power_PWM_nA.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Power_PWM_nA_H) /* Pins Power_PWM_nA_H */
#define CY_PINS_Power_PWM_nA_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Power_PWM_nA_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Power_PWM_nA__PORT == 15 && ((Power_PWM_nA__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Power_PWM_nA_Write(uint8 value);
void    Power_PWM_nA_SetDriveMode(uint8 mode);
uint8   Power_PWM_nA_ReadDataReg(void);
uint8   Power_PWM_nA_Read(void);
void    Power_PWM_nA_SetInterruptMode(uint16 position, uint16 mode);
uint8   Power_PWM_nA_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Power_PWM_nA_SetDriveMode() function.
     *  @{
     */
        #define Power_PWM_nA_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Power_PWM_nA_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Power_PWM_nA_DM_RES_UP          PIN_DM_RES_UP
        #define Power_PWM_nA_DM_RES_DWN         PIN_DM_RES_DWN
        #define Power_PWM_nA_DM_OD_LO           PIN_DM_OD_LO
        #define Power_PWM_nA_DM_OD_HI           PIN_DM_OD_HI
        #define Power_PWM_nA_DM_STRONG          PIN_DM_STRONG
        #define Power_PWM_nA_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Power_PWM_nA_MASK               Power_PWM_nA__MASK
#define Power_PWM_nA_SHIFT              Power_PWM_nA__SHIFT
#define Power_PWM_nA_WIDTH              1u

/* Interrupt constants */
#if defined(Power_PWM_nA__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Power_PWM_nA_SetInterruptMode() function.
     *  @{
     */
        #define Power_PWM_nA_INTR_NONE      (uint16)(0x0000u)
        #define Power_PWM_nA_INTR_RISING    (uint16)(0x0001u)
        #define Power_PWM_nA_INTR_FALLING   (uint16)(0x0002u)
        #define Power_PWM_nA_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Power_PWM_nA_INTR_MASK      (0x01u) 
#endif /* (Power_PWM_nA__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Power_PWM_nA_PS                     (* (reg8 *) Power_PWM_nA__PS)
/* Data Register */
#define Power_PWM_nA_DR                     (* (reg8 *) Power_PWM_nA__DR)
/* Port Number */
#define Power_PWM_nA_PRT_NUM                (* (reg8 *) Power_PWM_nA__PRT) 
/* Connect to Analog Globals */                                                  
#define Power_PWM_nA_AG                     (* (reg8 *) Power_PWM_nA__AG)                       
/* Analog MUX bux enable */
#define Power_PWM_nA_AMUX                   (* (reg8 *) Power_PWM_nA__AMUX) 
/* Bidirectional Enable */                                                        
#define Power_PWM_nA_BIE                    (* (reg8 *) Power_PWM_nA__BIE)
/* Bit-mask for Aliased Register Access */
#define Power_PWM_nA_BIT_MASK               (* (reg8 *) Power_PWM_nA__BIT_MASK)
/* Bypass Enable */
#define Power_PWM_nA_BYP                    (* (reg8 *) Power_PWM_nA__BYP)
/* Port wide control signals */                                                   
#define Power_PWM_nA_CTL                    (* (reg8 *) Power_PWM_nA__CTL)
/* Drive Modes */
#define Power_PWM_nA_DM0                    (* (reg8 *) Power_PWM_nA__DM0) 
#define Power_PWM_nA_DM1                    (* (reg8 *) Power_PWM_nA__DM1)
#define Power_PWM_nA_DM2                    (* (reg8 *) Power_PWM_nA__DM2) 
/* Input Buffer Disable Override */
#define Power_PWM_nA_INP_DIS                (* (reg8 *) Power_PWM_nA__INP_DIS)
/* LCD Common or Segment Drive */
#define Power_PWM_nA_LCD_COM_SEG            (* (reg8 *) Power_PWM_nA__LCD_COM_SEG)
/* Enable Segment LCD */
#define Power_PWM_nA_LCD_EN                 (* (reg8 *) Power_PWM_nA__LCD_EN)
/* Slew Rate Control */
#define Power_PWM_nA_SLW                    (* (reg8 *) Power_PWM_nA__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Power_PWM_nA_PRTDSI__CAPS_SEL       (* (reg8 *) Power_PWM_nA__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Power_PWM_nA_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Power_PWM_nA__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Power_PWM_nA_PRTDSI__OE_SEL0        (* (reg8 *) Power_PWM_nA__PRTDSI__OE_SEL0) 
#define Power_PWM_nA_PRTDSI__OE_SEL1        (* (reg8 *) Power_PWM_nA__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Power_PWM_nA_PRTDSI__OUT_SEL0       (* (reg8 *) Power_PWM_nA__PRTDSI__OUT_SEL0) 
#define Power_PWM_nA_PRTDSI__OUT_SEL1       (* (reg8 *) Power_PWM_nA__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Power_PWM_nA_PRTDSI__SYNC_OUT       (* (reg8 *) Power_PWM_nA__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Power_PWM_nA__SIO_CFG)
    #define Power_PWM_nA_SIO_HYST_EN        (* (reg8 *) Power_PWM_nA__SIO_HYST_EN)
    #define Power_PWM_nA_SIO_REG_HIFREQ     (* (reg8 *) Power_PWM_nA__SIO_REG_HIFREQ)
    #define Power_PWM_nA_SIO_CFG            (* (reg8 *) Power_PWM_nA__SIO_CFG)
    #define Power_PWM_nA_SIO_DIFF           (* (reg8 *) Power_PWM_nA__SIO_DIFF)
#endif /* (Power_PWM_nA__SIO_CFG) */

/* Interrupt Registers */
#if defined(Power_PWM_nA__INTSTAT)
    #define Power_PWM_nA_INTSTAT            (* (reg8 *) Power_PWM_nA__INTSTAT)
    #define Power_PWM_nA_SNAP               (* (reg8 *) Power_PWM_nA__SNAP)
    
	#define Power_PWM_nA_0_INTTYPE_REG 		(* (reg8 *) Power_PWM_nA__0__INTTYPE)
#endif /* (Power_PWM_nA__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Power_PWM_nA_H */


/* [] END OF FILE */
